OTBGUI_HARALICKTEXTUREEXTRACTION(1)

NAME
otbgui_HaralickTextureExtraction - OTB HaralickTextureExtraction application

DESCRIPTION
This is the HaralickTextureExtraction application, version 5.2.0 Computes textures on every pixel of the input image selected channel

Complete documentation: http://www.orfeo-toolbox.org/Applications/HaralickTextureExtraction.html

  Parameters:

-progress
    <boolean> Report progress

 -in <string> Input Image (mandatory)

-channel
    <int32> Selected Channel (mandatory, default value is 1)

-ram
    <int32> Available RAM (Mb) (optional, off by default, default value is 128)

-parameters.xrad
    <int32> X Radius (mandatory, default value is 2)

-parameters.yrad
    <int32> Y Radius (mandatory, default value is 2)

-parameters.xoff
    <int32> X Offset (mandatory, default value is 1)

-parameters.yoff
    <int32> Y Offset (mandatory, default value is 1)

-parameters.min
    <float> Image Minimum (mandatory, default value is 0)

-parameters.max
    <float> Image Maximum (mandatory, default value is 255)

-parameters.nbbin <int32>
    Histogram number of bin (mandatory, default value is 8)

-texture
    <string> Texture Set Selection [simple/advanced/higher] (mandatory, default value is simple)

-out
    <string> [pixel] Output Image [pixel=uint8/uint16/int16/uint32/int32/float/double] (default value is float) (optional, on by default)

-inxml
    <string> Load otb application from xml file (optional, off by default)

EXAMPLES
otbgui_HaralickTextureExtraction -in qb_RoadExtract.tif -channel 2 -parameters.xrad 3 -parameters.yrad 3 -texture simple -out HaralickTextures.tif

SEE ALSO
The full documentation for otbgui_HaralickTextureExtraction is maintained as a Texinfo manual. If the info and otbgui_HaralickTextureExtraction programs are properly installed at your site, the command

    info otbgui_HaralickTextureExtraction

should give you access to the complete manual.